# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           cpan-upload
Version:        2.2       
Release:        alt2_15
Summary:        Automate the uploading of files to the CPAN (PAUSE)

Group:          Development/C
License:        GPL+ or Artistic
URL:            http://search.cpan.org/src/NEILB/cpan-upload-2.2/
Source0:        http://search.cpan.org/pub/CPAN/authors/id/N/NE/NEILB/scripts/cpan-upload-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(AppConfig/Std.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Net/FTP.pm)
BuildRequires:  perl(Term/ReadKey.pm)

# not automagically picked up ("require" construct)
Requires:       perl(Term/ReadKey.pm)
Source44: import.info

%description
cpan-upload is a script which automates the process of uploading a file to
CPAN using PAUSE, the Perl Authors Upload Server.  For example, to upload a
recent version of the Net::Dict module I ran: 

    % cpan-upload -verbose Net-Dict-1.07.tar.gz

If everything went OK, youa.'ll get two mail messages from the PAUSE monitor: 
one to acknowledge the upload, and one to let you know if your upload made 
it through to CPAN.

%prep
%setup -q


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'



%check
make test


%files
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.2-alt2_15
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 2.2-alt2_14
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_14
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_12
- fc import

